import { InputFlags, InputArgs, OutputArgs, OutputFlags } from 'cli-flags';
import { Config, ConfigOptions, Plugin, ICommand } from 'cli-engine-config';
import { HTTP } from 'http-call';
import { CLI } from 'cli-ux';
export declare class Command implements ICommand {
    topic?: string;
    command?: string;
    description?: string;
    hidden: boolean;
    usage?: string;
    help?: string;
    aliases: string[];
    strict: boolean;
    variableArgs: boolean;
    Flags: InputFlags;
    Args: InputArgs;
    _version: any;
    plugin?: Plugin;
    readonly id: string;
    static mock(...argv: string[]): Promise<Command>;
    static run(config?: ConfigOptions): Promise<Command>;
    config: Config;
    http: typeof HTTP;
    cli: CLI;
    flags: OutputFlags<this['Flags']>;
    argv: string[];
    args: OutputArgs;
    constructor(options?: {
        config?: ConfigOptions;
    });
    readonly out: CLI;
    init(): Promise<void>;
    run(): Promise<void>;
    readonly stdout: string;
    readonly stderr: string;
    buildHelp(config: Config): string;
    buildHelpLine(config: Config): [string, string | undefined];
}
